<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>Insert title here</title>
<script type="text/javascript">
	function process() {
		var data = document.getElementById("data");
		data.defaultValue = "asdf";
		alert(data.value + ' ' + data.defaultValue);
		
		var dv = document.getElementById("dv");
		// innerText로 태그를 넣어도 그냥 문자열로 들어감
		dv.innerText = '<p>Text</p>';
		
		var dn = document.getElementById("dn");
		// innerHtml로 태그를 넣으면 Html로 들어감
		dn.innerHTML = '<p>Text</p>';
		
		var dm = document.getElementById("dm");
		alert(dm.innerText);
		alert(dm.innerHTML);
	}
</script>
</head>
<body>
	<button onclick="process()">command</button>
	<input type="text" name="data" id="data" />
	<div id="dv"></div>	
	<div id="dn"></div>
	<div id="dm">
	가
	<p>p</p>
	나
	<p>p</p>
	<p>p</p>
	다
	<p>p</p>
	</div>
</body>
</html>